.loader-square-flipper {
	height: 120px;
	width: 120px;
	margin: 0 auto;
	position: relative;
	top: 50%;
	transform: translateY(-50%) rotateZ(45deg);
	perspective: 150px;
}

.loader-square-flipper .square-flip {
	position: absolute;
	top: calc(50% - 17.5px);
	left: calc(50% - 17.5px);
	opacity: 0;
}

.loader-square-flipper .square-flip .filled {
	width: 35px;
	height: 35px;
	background-color: white;
	transform-style: preserve-3d;
}

.loader-square-flipper .square-flip:nth-of-type(1) {
	width: 70px;
	height: 35px;
	z-index: 1;

	margin-top: -17.5px;
	margin-left: -17.5px;
	animation: flip-square-1 600ms linear infinite;
}

.loader-square-flipper .square-flip:nth-of-type(2) {
	width: 35px;
	height: 70px;
	z-index: 2;

	margin-top: -17.5px;
	margin-left: 17.5px;
	animation: flip-square-2 600ms linear 150ms infinite;
}

.loader-square-flipper .square-flip:nth-of-type(3) {
	width: 70px;
	height: 35px;
	z-index: 3;

	margin-top: 17.5px;
	margin-left: -17.5px;
	animation: flip-square-3 600ms linear 300ms infinite;
}

.loader-square-flipper .square-flip:nth-of-type(3) .filled {
	float: right;
}

.loader-square-flipper .square-flip:nth-of-type(4) {
	width: 35px;
	height: 70px;
	z-index: 4;

	margin-top: -17.5px;
	margin-left: -17.5px;
	animation: flip-square-4 600ms linear  460ms infinite;
}

.loader-square-flipper .square-flip:nth-of-type(4) .spacer {
	width: 35px;
	height: 35px;
}


@keyframes flip-square-1 {
	0%   { transform: rotateY(0deg);
		opacity: 0; }
	25%  { transform: rotateY(180deg);
		opacity: 1; }
	90%  { transform: rotateY(180deg);
		opacity: 0.3; }
	100% { transform: rotateY(180deg);
		opacity: 0; }
}

@keyframes flip-square-2 {
	0%   { transform: rotateX(0deg);
		opacity: 0; }
	25%  { transform: rotateX(180deg);
		opacity: 1; }
	90%  { transform: rotateX(180deg);
		opacity: 0.3; }
	100% { transform: rotateX(180deg);
		opacity: 0; }
}

@keyframes flip-square-3 {
	0%   { transform: rotateY(0deg);
		opacity: 0; }
	25%  { transform: rotateY(-180deg);
		opacity: 1; }
	90%  { transform: rotateY(-180deg);
		opacity: 0.3; }
	100% { transform: rotateY(-180deg);
		opacity: 0; }
}

@keyframes flip-square-4 {
	0%   { transform: rotateX(0deg);
		opacity: 0; }
	25%  { transform: rotateX(-180deg);
		opacity: 1; }
	90%  { transform: rotateX(-180deg);
		opacity: 0.3; }
	100% { transform: rotateX(-180deg);
		opacity: 0; }
}
